Page MenuHomePhabricator

mobile.pagelist JS code should be part of mobile.startup
Closed, ResolvedPublic

Description

mobile.pagelist is loaded by default on every MobileFrontend page view because of the fact it is used in mobile.search

Let's fold this functionality into the mobile.startup module.

Event Timeline

Change 333293 had a related patch set uploaded (by Jdlrobson):
Hygiene: mobile.pagelist folded into mobile.startup

https://gerrit.wikimedia.org/r/333293

Jdlrobson triaged this task as Low priority.Jan 24 2017, 7:39 PM
phuedx removed a project: Epic.Jan 25 2017, 5:46 PM

@phuedx would you please sign off as it is a technical task?

(patch is not merged as it depends on T155801)

Change 333293 merged by jenkins-bot:
Hygiene: mobile.pagelist folded into mobile.startup

https://gerrit.wikimedia.org/r/333293

Change 334352 had a related patch set uploaded (by Phuedx):
Don't use deprecated mobile.pagelist/PageList

https://gerrit.wikimedia.org/r/334352

^ Trivial, trivial update to remove a deprecation notice that I saw while signing this off on the Beta Cluster.

This LGTM. The search results, which are powered by WatchstarPageList (and PageList, by definition), work as expected. I'll resolve this once rEMFR86c3262bd263: Don't use deprecated mobile.pagelist/PageList has been merged.

Change 334352 merged by jenkins-bot:
Don't use deprecated mobile.pagelist/PageList

https://gerrit.wikimedia.org/r/334352

phuedx closed this task as Resolved.Jan 26 2017, 5:23 PM